unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmElliptic = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmElliptic: TfrmElliptic;

implementation

{$R *.dfm}

procedure TfrmElliptic.Button3Click(Sender: TObject);
begin
  Close;
end;

procedure TfrmElliptic.FormCreate(Sender: TObject);
var
  formRgn, but1Rgn, but2Rgn, but3Rgn: HRGN;
begin
  //  
  but1Rgn := CreateEllipticRgn(0, 0, Button1.Width-1, Button1.Height-1);
  SetWindowRgn(Button1.Handle, but1Rgn, FALSE);

  but2Rgn := CreateEllipticRgn(0, 0, Button2.Width-1, Button2.Height-1);
  SetWindowRgn(Button2.Handle, but2Rgn, FALSE);

  but3Rgn := CreateEllipticRgn(0, 0, Button3.Width-1, Button3.Height-1);
  SetWindowRgn(Button3.Handle, but3Rgn, FALSE);

  //  
  formRgn := CreateEllipticRgn(0, 0, Width-1, Height-1);
  SetWindowRgn(Handle, formRgn, TRUE);
end;

end.
